
// ** Skybox shader by Jax_Gator **
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Source: Burial Grounds Map Pak 2, map: bgmp8 (forest skybox by Mighty Pete)
// AEdit: Magic Wand the sky (Tolerance 50, AA, Contiguous), Despeckle sky,
//        invert selection, Unsharp Mask non-sky. Removes most JPG artifacts.
textures/hm_cy1/skybox
{
	qer_editorimage textures/hm_cy1/skybox1.tga
	q3map_globaltexture

//	q3map_surfacelight 80						// ORG
//	q3map_sun 4 3 3 90 240 80					// ORG
	// Supposedly really nice lighting! (http://members.lycos.co.uk/quakeroats/samples/smapi/smapi13.jpg)
	// q3map_sunExt [r] [g] [b] [light] [heading] [elevation] [deviance] [samples]
	q3map_sunExt 4 3 3 90 240 80 3 32			// Adds deviance and samples, less stadium 16 -> 32 (pinkish)
	q3map_lightmapFilterRadius 0 8				// <Self> <Other> (Placement: After sunExt before skylight!)
	q3map_skylight 100 6						// Amount iterations (Replaces subdivide & surfacelight), less stadium 3 -> 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip									// New: HipShot Skies (ignore r_picmip, always hires!)
	nomipmaps									// New: Manual

	skyparms textures/hm_cy1/env/forest - -
}



// ***************************
// **** SOLARAE JP EFFECT **** Shader code by Hipshot
// *************************** jumpring.jpg created from Hipshot's swirl by AEon

textures/hm_cy1/movesquare1
{
	qer_editorimage textures/hm_cy1/jumpring.jpg
	qer_trans 0.3
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 200 sawtooth 0 1 1 .8
	{
		clampmap textures/hm_cy1/jumpring.jpg
		tcMod rotate -250
		rgbGen wave sawtooth 1 -1 1 .8
		blendfunc add
	}
}

textures/hm_cy1/movesquare2
{
	qer_editorimage textures/hm_cy1/jumpring.jpg
	qer_trans 0.3
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes move 0 0 200 sawtooth 0 1 .75 .8
	{
		clampmap textures/hm_cy1/jumpring.jpg
		tcMod rotate -250
		rgbGen wave sawtooth 1 -1 .75 .8
		blendfunc add
	}
}


// *********************
// **** POM TERRAIN ****
// ********************* These are phong shaded to smooth out details!
// The secondary blend texture pom_ter_rock2vine.tga requires alpha channel,
// other texture can be turned JPG.

textures/hm_cy1/pom_ter_dirt1	// Used around ruins
{
	qer_editorimage textures/hm_cy1/pom_ter_dirt1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hm_cy1/pom_ter_dirt1.tga
		blendFunc filter
	}
}

textures/hm_cy1/pom_ter_rock2	// Vertical needs phong
{
	qer_editorimage textures/hm_cy1/pom_ter_rock2.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hm_cy1/pom_ter_rock2.tga
		blendFunc filter
	}
}


textures/hm_cy1/pom_ter_rock2moss1	// Vertical needs phong
{
	qer_editorimage textures/hm_cy1/pom_ter_rock2moss1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hm_cy1/pom_ter_rock2moss1.tga
		alphaFunc GT0
		blendFunc filter
	}
}

// ***************
// **** WATER ****
// ***************  based on textures/hm_cy1/clear_calm1

textures/hm_cy1/water
{
	qer_editorimage textures/hm_cy1/pool3d_3e.tga
	qer_trans 0.5				// v1.2.13 does not work! Works for v1.4
	q3map_globaltexture			// Required for tcMod scale to work!
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	// cull disable				// We can only see the water from top!
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/hm_cy1/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/hm_cy1/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

